#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = Scripting

PROJECTVERSION = 2.8
PROJECT_TYPE = Component
LANGUAGE = English

CLASSES = OHHTMLDisplayProcessor-Scripting.m\
          OWPipeline-ScriptExtensions.m OWScriptContext.m\
          OWScriptDocumentProxy.m OWScriptEvent.m\
          OWScriptEventHandlerHolder.m OWScriptBlockTarget.m\
          OWScriptBlockProcessor.m OWContentInfo-Scripting.m

HFILES = OWPipeline-ScriptExtensions.h OWScriptContext.h\
         OWScriptDocumentProxy.h OWScriptEvent.h\
         OWScriptEventHandlerHolder.h OWScriptInterpreterProtocol.h\
         OWScriptResponderProtocol.h OWScriptBlockProcessor.h\
         OWScriptBlockTarget.h OWContentInfo-Scripting.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = OWScriptContext.h OWScriptDocumentProxy.h\
                 OWScriptEvent.h OWScriptInterpreterProtocol.h\
                 OWScriptResponderProtocol.h OWScriptEventHandlerHolder.h\
                 OWPipeline-ScriptExtensions.h OWContentInfo-Scripting.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
